package com.steerinfo.ems.tsubmitted.model;

import com.steerinfo.framework.model.IBasePO;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.math.BigDecimal;

@ApiModel(value="null")
public class TSubmitted implements IBasePO<String> {
    /**
     * 报工序号(CONSTRUID,VARCHAR,255)
     */
    @ApiModelProperty(value="报工序号",required=true)
    private String construid;

    /**
     * 设备名称(DEVICENAME,VARCHAR,255)
     */
    @ApiModelProperty(value="设备名称",required=false)
    private String devicename;

    /**
     * 设备分类(EQUIPMENT,VARCHAR,255)
     */
    @ApiModelProperty(value="设备分类",required=false)
    private String equipment;

    /**
     * 施工单位(CONSTRUCTIONUNITS,VARCHAR,255)
     */
    @ApiModelProperty(value="施工单位",required=false)
    private String constructionunits;

    /**
     * 施工人数(CONSTRUPEOPLE,VARCHAR,255)
     */
    @ApiModelProperty(value="施工人数",required=false)
    private String construpeople;

    /**
     * 施工日期(CONSTRUDATE,VARCHAR,15)
     */
    @ApiModelProperty(value="施工日期",required=false)
    private String construdate;

    /**
     * 施工内容(CONSTRUCONTENT,VARCHAR,255)
     */
    @ApiModelProperty(value="施工内容",required=false)
    private String construcontent;

    /**
     * 施工文件名称(CONSTRUFILE,VARCHAR,255)
     */
    @ApiModelProperty(value="施工文件名称",required=false)
    private String construfile;

    /**
     * 报工时间(SIGNTIME,VARCHAR,15)
     */
    @ApiModelProperty(value="报工时间",required=false)
    private String signtime;

    /**
     * 备注(BZ,VARCHAR,255)
     */
    @ApiModelProperty(value="备注",required=false)
    private String bz;

    /**
     * 图片路径(IMAGEURL,VARCHAR,255)
     */
    @ApiModelProperty(value="图片路径",required=false)
    private String imageurl;

    /**
     * 图片名称(IMAGENAME,VARCHAR,255)
     */
    @ApiModelProperty(value="图片名称",required=false)
    private String imagename;

    /**
     * 当前ID(MAXID,DECIMAL,20)
     */
    @ApiModelProperty(value="当前ID",required=false)
    private BigDecimal maxid;

    /**
     * 审批单ID(DECLAREID,VARCHAR,255)
     */
    @ApiModelProperty(value="审批单ID",required=false)
    private String declareid;

    /**
     * 报工状态(state,VARCHAR,255)
     */
    @ApiModelProperty(value="审批单ID",required=false)
    private String state;
    private static final long serialVersionUID = 1L;

    @Override
    public String getId() {
        return this.construid;
    }

    @Override
    public void setId(String construid) {
        this.construid = construid == null ? null : construid.trim();
    }

    public String getConstruid() {
        return construid;
    }

    public void setConstruid(String construid) {
        this.construid = construid == null ? null : construid.trim();
    }
    public String getState() {
        return state;
    }
    public void setState(String state) {
        this.state = state == null ? null : state.trim();
    }
    public String getDevicename() {
        return devicename;
    }

    public void setDevicename(String devicename) {
        this.devicename = devicename == null ? null : devicename.trim();
    }

    public String getEquipment() {
        return equipment;
    }

    public void setEquipment(String equipment) {
        this.equipment = equipment == null ? null : equipment.trim();
    }

    public String getConstructionunits() {
        return constructionunits;
    }

    public void setConstructionunits(String constructionunits) {
        this.constructionunits = constructionunits == null ? null : constructionunits.trim();
    }

    public String getConstrupeople() {
        return construpeople;
    }

    public void setConstrupeople(String construpeople) {
        this.construpeople = construpeople == null ? null : construpeople.trim();
    }

    public String getConstrudate() {
        return construdate;
    }

    public void setConstrudate(String construdate) {
        this.construdate = construdate == null ? null : construdate.trim();
    }

    public String getConstrucontent() {
        return construcontent;
    }

    public void setConstrucontent(String construcontent) {
        this.construcontent = construcontent == null ? null : construcontent.trim();
    }

    public String getConstrufile() {
        return construfile;
    }

    public void setConstrufile(String construfile) {
        this.construfile = construfile == null ? null : construfile.trim();
    }

    public String getSigntime() {
        return signtime;
    }

    public void setSigntime(String signtime) {
        this.signtime = signtime == null ? null : signtime.trim();
    }

    public String getBz() {
        return bz;
    }

    public void setBz(String bz) {
        this.bz = bz == null ? null : bz.trim();
    }

    public String getImageurl() {
        return imageurl;
    }

    public void setImageurl(String imageurl) {
        this.imageurl = imageurl == null ? null : imageurl.trim();
    }

    public String getImagename() {
        return imagename;
    }

    public void setImagename(String imagename) {
        this.imagename = imagename == null ? null : imagename.trim();
    }

    public BigDecimal getMaxid() {
        return maxid;
    }

    public void setMaxid(BigDecimal maxid) {
        this.maxid = maxid;
    }

    public String getDeclareid() {
        return declareid;
    }

    public void setDeclareid(String declareid) {
        this.declareid = declareid == null ? null : declareid.trim();
    }

    @Override
    public String toString() {
        StringBuilder sb = new StringBuilder();
        sb.append(getClass().getSimpleName());
        sb.append(" [");
        sb.append("Hash = ").append(hashCode());
        sb.append(", construid=").append(construid);
        sb.append(", devicename=").append(devicename);
        sb.append(", equipment=").append(equipment);
        sb.append(", constructionunits=").append(constructionunits);
        sb.append(", construpeople=").append(construpeople);
        sb.append(", construdate=").append(construdate);
        sb.append(", construcontent=").append(construcontent);
        sb.append(", construfile=").append(construfile);
        sb.append(", signtime=").append(signtime);
        sb.append(", bz=").append(bz);
        sb.append(", imageurl=").append(imageurl);
        sb.append(", imagename=").append(imagename);
        sb.append(", maxid=").append(maxid);
        sb.append(", declareid=").append(declareid);
        sb.append(", serialVersionUID=").append(serialVersionUID);
        sb.append(", state=").append(state);
        sb.append("]");
        return sb.toString();
    }
}